<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <!-- <div>
        <h2>nhap so</h2>
        <input type="text" id="numbervalue">
        <button onclick="enterNumber()">nhap so</button>
        <button onclick="clearNumber()">xoa</button>
    </div>
    <h2 id='resultNumber'></h2>
    <div>
        <button onclick="maxNumber()">so lon nhat</button>
        <button onclick="minNumber()">so nho nhat</button>
        <button onclick="evenNumber()">so chan</button>
        <button onclick="oddNumber()">so le</button>

    </div>
    <h1 id="result">

    </h1>
    <script>
        var xArray = []

        function enterNumber() {
            var x = document.getElementById('numbervalue').value
            xArray.push(parseInt(x))
            document.getElementById('resultNumber').innerHTML = xArray
        }

        function clearNumber() {
            xArray = []
            document.getElementById('resultNumber').innerHTML = xArray
        }

        function maxNumber() {
            console.log(xArray)
            var max = xArray[0]
            for (var i = 0; i < xArray.length; i = i + 1) {

                if (xArray[i] > max) {
                    max = xArray[i]
                }
            }
            document.getElementById('result').innerHTML = 'so lon nhat la ' + max

        }

        function minNumber() {
            console.log(xArray)
            var min = xArray[0]
            for (var i = 0; i < xArray.length; i = i + 1) {

                if (xArray[i] < min) {
                    min = xArray[i]

                }
            }
            document.getElementById('result').innerHTML = 'so nho nhat la ' + min
        }

        function evenNumber() {
            var even = []
            for (var i = 0; i < xArray.length; i = i + 1) {

                if (xArray[i] % 2 == 0) {
                    even.push(xArray[i])

                }
            }
            document.getElementById('result').innerHTML = 'so chan la ' + even
        }

        function oddNumber() {

            var odd = []
            for (var i = 0; i < xArray.length; i = i + 1) {
                if (xArray[i] % 2 == 1) {
                    odd.push(xArray[i])
                }
            }
            document.getElementById('result').innerHTML = 'so le la ' + odd
        }
    </script> -->
    <!-- <div>
        <h2>Nhap du lieu</h2>
        <input type="text" id="nbvalue">
        <button onclick="enterNb()">nhap lieu</button>
        <button onclick="Clearnnb()">xoa du lieu</button>
    </div>
    <h2 id="resultnb"></h2>
    <div>
        <button onclick="evennb()">so chan</button>
        <button onclick="oddnb()">so le</button>
        <button onclick="maxnb()">so lon nhat</button>
        <button onclick="minnb()">so nho nhat</button>
    </div>
    <h1 id="rsl"></h1>
    <script>
        var abc = []
        function enterNb() {
            var x = document.getElementById('nbvalue').value
            console.log(x)
            abc.push(parseInt(x))
            document.getElementById('resultnb').innerHTML = abc
        }

        function Clearnnb() {
            abc = []
            document.getElementById('resultnb').innerHTML = abc
        }

        function evennb() {
            var even = []
            for (var i = 0; i < abc.length; i = i + 1) {

                if (abc[i] % 2 == 0) {
                    even.push(abc[i])
                    console.log(even)
                }
            }
            document.getElementById('rsl').innerHTML = 'so chan la ' + even
        }

        function oddnb(){
            var odd = []
            for (var i = 0; i < abc.length; i = i + 1) {
                if (abc[i] % 2 == 1) {
                    odd.push(abc[i])
                }
            }
            document.getElementById('rsl').innerHTML = 'so le la ' + odd
        }

        function maxnb() {
            console.log(abc)
            var max = abc[0]
            for (var i = 0; i < abc.length; i = i + 1) {

                if (abc[i] > max) {
                    max = abc[i]
                }
            }
            document.getElementById('rsl').innerHTML = 'so lon nhat la ' + max
        }

        function minnb() {
            console.log(abc)
            var min = abc[0]
            for (var i = 0; i < abc.length; i = i + 1) {

                if (abc[i] < min) {
                    min = abc[i]

                }
            }
            document.getElementById('rsl').innerHTML = 'so nho nhat la ' + min
        }
    </script> -->

<div>
    <h2>nhap DL</h2>
    <input type="text" id="nvalue">
    <button onclick="enterNumber()">Nhap DL</button>
    <button onclick="clearNumber()">Xoa DL</button>
</div>
<h2 id="rsnumber"></h2>
<div>
    <button onclick="maxNumber()">so lon nhat</button>
    <button onclick="minNumber()">so nho nhat</button>
    <button onclick="evenNumber()">so chan</button>
    <button onclick="oddNumber()">so le</button>
</div>
<h1 id="rs"></h1>


<script>
    var xyz =[]
    function enterNumber() {
        var x = document.getElementById('nvalue').value
        xyz.push(parseInt(x))
        document.getElementById('rsnumber').innerHTML = xyz
    }

    function clearNumber() {
        xyz = []
        document.getElementById('rsnumber').innerHTML = xyz
    }

    function evenNumber(){
        var even = []
        for (var i = 0; i < xyz.length; i = i + 1){
            if(xyz[i] % 2 == 0) {
                even.push(xyz[i])
                console.log(even)
            }
        }
        document.getElementById('rs').innerHTML = 'so chan la' + even
    }

    function oddNumber(){
        var odd = []
        for (var i = 0; i < xyz.length; i = i + 1) {
            if (xyz[i] % 2 == 1) {
                odd.push(xyz[i])
            }
        }
        document.getElementById('rs').innerHTML = 'so le la' + odd
    }

    function maxNumber() {
        console.log(xyz)
        var max = xyz[0]
        for (var i = 0; i < xyz.length; i = i + 1) {
            if (xyz[i] > max) {
                max =  xyz[i]
            }
        }
        document.getElementById('rs').innerHTML = ' so lon nhat la' + max 
    }

    function minNumber() {
        console.log(xyz)
        var min = xyz[0]
        for (var i = 0; i < xyz.length; i = i + 1) {
            if (xyz[i] < min)  {
                min =  xyz[i]
            }
        }
        document.getElementById('rs').innerHTML = ' so nho nhat la' + min
    }


</script> 

<div>
    <h2>nhap so lieu</h2>
    <input type="text" id="numbervalue">
    <button onclick="enterNB()">nhap so lieu</button>
    <button onclick="clearNB()">xoa so lieu</button>
</div>
<h2 id="rstNB"></h2>
<div>
    <button onclick="evenNB()">so chan</button>
    <button onclick="oddNB()">so le</button>
    <button onclick="maxNB()">so lon nhat</button>
    <button onclick="minNB()">so nho nhat</button> 
</div>
<h1 id="rst"></h1>

<script>
    var abc = []
    function enterNB() {
        var x = document.getElementById('numbervalue').value
        abc.push(parseInt(x))
        document.getElementById('rstNB').innerHTML = abc
    }

    function clearNB() {
        abc = []
        document.getElementById('rstNB').innerHTML = abc
    }

    function evenNB(){
        var even = []
        for (var i = 0; i < abc.length; i = i + 1){
            if(abc[i] % 2 == 0) {
                even.push(abc[i])
                console.log(even)
            }
        }document.getElementById('rst').innerHTML = 'so chan la' + even
    }

    function oddNB(){
        var odd = []
        for (var i = 0; i < abc.length; i = i + 1) {
            if (abc[i] % 2 == 1) {
                odd.push(abc[i])
            }
        }
        document.getElementById('rst').innerHTML = ' so le la' + odd 
    }

    function maxNB() {
        console.log(abc)
        var max = abc[0]
        for (var i = 0; i < abc.length; i = i + 1) {
            if (abc[i] > max) {
                max = abc[i]
            }
        }
        document.getElementById('rst').innerHTML = ' so lon nhat la' + max
    }

    function minNB() {
        console.log(abc)
        var min =  abc[0]
        for (var i = 0; i < abc.length; i = i+1) {
            if (abc[i] < min)
            min = abc[i]
        }
        document.getElementById('rst').innerHTML = ' so nho nhat la' + min
    }

    
</script>

</body>

</html>
